### Method

# Cogl Renderer handle_event

#### Declaration [src]

    CoglFilterReturn
    cogl_renderer_handle_event (
      CoglRenderer* renderer,
      void* event
    )

#### Description [src]

Processes a single event.

This method is not directly available to language bindings.

#### Parameters

`event`

  Type: `void*`

  Pointer to an event structure.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `CoglFilterReturn`

`CoglFilterReturn`. `COGL_FILTER_REMOVE` indicates that Cogl has internally handled the event and the caller should do no further processing. `COGL_FILTER_CONTINUE` indicates that Cogl is either not interested in the event, or has used the event to update internal state without taking any exclusive action.